<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ProjectAuthenticate
{
    public function handle(Request $request, Closure $next)
    {
        if (!Auth::guard('project')->check()) {
            return redirect()->route('project.login.form');
        }
        return $next($request);
    }
}
